memlimits {base} | R Documentation

## Query and Set Heap Size Limits

### Description

Query and set the maximal size of the vector heap and the maximal number of heap nodes for the current R process.

### Usage

    mem.maxVSize(vsize = 0)
    mem.maxNSize(nsize = 0)

### Arguments

`vsize` | numeric; new size limit in Mb.
`nsize` | numeric; new maximal node number.

### Details

New Limits lower than current usage are ignored. Specifying a size of `Inf` sets the limit to the maximal possible value for the platform.

The default maximal values are unlimited on most platforms, but can be adjusted using environment variables as described in `Memory`. On macOS a lower default vector heap limit is used to protect against the R process being killed when macOS over-commits memory.

Adjusting the maximal number of nodes is rarely necessary. Adjusting the vector heap size limit can be useful on macOS in particular but should be done with caution.

### Value

The current or new value, in Mb for `mem.maxVSize`. `Inf` is returned if the current value is unlimited.

### See Also

`Memory`.

[Package base version 3.6.0 Index]